<?php
/**
 * @package     fileprotect
 * @subpackage  Component router
 */

defined('JPATH_PLATFORM') or die;

class FileprotectRouter extends JComponentRouterBase
{
	public function preprocess($query)
	{
        // wkTrace(__METHOD__, $query);
		return $query;
	}

	/**
	 * Generic build function for missing or legacy component router
	 *
	 * @param   array  &$query  An array of URL arguments
	 *
	 * @return  array  The URL arguments to use to assemble the subsequent URL.
	 *
	 * @since   3.3
	 */
	public function build(&$query)
	{
            // wkTrace(__METHOD__, $query);
            if (isset($query['getFile'])) {
                $r = array($query['getFile']);
                unset($query['getFile']);
                wkTrace(__METHOD__ . ' returning', $r);
                return $r;
           }
            return array();

	}

	/**
	 * Generic parse function for missing or legacy component router
	 *
	 * @param   array  &$segments  The segments of the URL to parse.
	 *
	 * @return  array  The URL attributes to be used by the application.
	 *
	 * @since   3.3
	 */
	public function parse(&$segments)
	{
		$vars = array();	
		// wkTrace(__METHOD__ . ' segments', $segments);
		if ( count($segments) > 0) 
			$vars["getFile"] = implode('/', $segments);
		// wkTrace(__METHOD__ . ' return vars', $vars);
		return $vars;

	}
}


